local function run(msg, matches)
	local receiver = get_receiver(msg)
	local url = 'http://z0r.de/L/z0r-de_'..matches[1]..'.swf'
	  	print("Flash URL: "..url)
		send_document_from_url(receiver, url)
	  if string.match(msg.text, '/[Zz]0[Rr]') then
		return 'Source: http://z0r.de/'..matches[1]
	  else
	  	return
	  end
end

return {
  description = "Sendet Flashs von Z0R.de", 
  usage = {"z0r.de URL","#z0r [ID]"},
  patterns = {"https?://z0r.de/([%w-_%.%?%.:,/%+=&#!]+)$","^#[Zz]0[Rr] (.*)$"}, 
  run = run 
}
--by Akamaru [https://ponywave.de]